<?php
include_once 'sys/inc/start.php';
$doc = new document(); // инициализация документа для браузера
$doc->title = 'Мои друзья';



$posts = array();

$user -> friend_new_count = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `id_user` = '$user->id' AND `confirm` = '0'"), 0);

$pages = new pages;
$pages->posts = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `id_user` = '$user->id'"), 0); // количество друзей
$pages->this_page(); // получаем текущую страницу


$q = mysql_query("SELECT * FROM `friends` WHERE `id_user` = '$user->id' ORDER BY `confirm` ASC, `time` DESC LIMIT {$pages->my_start()}, {$pages->items_per_page}");
while ($friend=mysql_fetch_assoc($q)) {
$ank = new user($friend['id_friend']);
$post=$friend['confirm']?null:'хочет быть Вашим другом';
$posts[]=array('title'=>$ank->show(),'icon'=>$ank->icon(),'post'=>$post,  'new'=>!$friend['confirm']);
unset($ank);
}
if (!$posts)$posts[]=array('icon'=>array('size'=>'small','src'=>'/sys/images/icons/empty.png'),'title'=>'Друзей нет');

$show = new design();
$show->assign('post',$posts);
$show->display('design.listing.tpl');

$pages->listing('?'); // вывод страниц


$doc->ret('Личное меню','/menu.user.php');

?>
